Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77062 - "jar c xxx" crashes with segmentation fault
Summary: "jar c xxx" crashes with segmentation fault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-31 17:17 UTC by Göran Uddeborg
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-18 15:42:12 UTC


Attachments (Terms of Use)
The java code used in the example (deleted)
2002-10-31 17:18 UTC, Göran Uddeborg
no flags Details
revised patch (deleted)
2002-11-18 15:40 UTC, David Juran
no flags Details | Diff

Description Göran Uddeborg 2002-10-31 17:17:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
Running "jar c <something>" seems to always crash.  I've included a sample file
which triggers it, but it seems to happen for most any file.

Version-Release number of selected component (if applicable): libgcj-3.2-7

How reproducible:
Always

Steps to Reproduce:
1.javac PlainException.java
2.jar c PlainException.class > a.jar

	

Actual Results:  The second step crashes and creates a broken jarfile.

Expected Results:  a.jar should have been the same as with

  jar cf a.jar PlainException.class

which works fine.

Additional info:

Comment 1 Göran Uddeborg 2002-10-31 17:18:44 UTC
Created attachment 82904 [details]
The java code used in the example

Comment 3 David Juran 2002-11-18 15:40:52 UTC
Created attachment 85445 [details]
revised patch

Comment 4 David Juran 2002-11-18 15:42:05 UTC
I had to make som minor adjustments to the patch to make it apply to gcc-3.2-7
but other than that, it seems to work fine (-:

Comment 5 Jakub Jelinek 2002-12-04 16:49:10 UTC
The fix is in gcc-3.2-12 and later (ATM 3.2.1-1).


Note You need to log in before you can comment on or make changes to this bug.